Subject: Re: FYI: Etherleak

From: Jeff Garzik <[email-masked]>
Date: Thu, 9 Jan 2003 21:08:08 -0500

On Thu, Jan 09, 2003 at 05:49:47PM -0800, Yan-Fa Li wrote:
> An interesting report into frame-padding information leakage violations in
> ethernet drivers.  The authors use linux drivers in their examples.
> 
> http://www.atstake.com/research/advisories/2003/atstake_etherleak_report.pdf

Yes.  All of those drivers are for ancient and/or obscure hardware
except three:  rtl8139, epic100, and via-rhine.

There are fixes for those (and others) in testing right now, in fact :)